%define _unpackaged_files_terminate_build 1

%define theme_name abstraction-lite
%define theme_fullname lxde-settings-%theme_name

Name: %theme_fullname
Version: 0.3
Release: alt0.M51.4
Packager: LXDE Development Team <lxde at packages.altlinux.org>
BuildArch: noarch
Summary: Provides configuration for ALT Linux Lite LXDE Remix
Provides: lxde-settings
Group: Graphical desktop/Other
License: %gpl2plus

BuildPreReq: rpm-build-licenses

## components used in this theme
Requires: fonts-ttf-dejavu
Requires: icon-theme-mist
Requires: gtk2-theme-simplicity
Requires: x-cursor-theme-Bluecurve
Requires: lxde-common tray_eject_plus
Requires: termit librsvg

Source: lxde.tar.bz2

%description
Default graphics theme for ALT Linux Lite LXDE Remix

%install
mkdir -p %buildroot/%_datadir
tar xvf %SOURCE0 -C %buildroot/%_datadir
mv %buildroot/%_datadir/lxde %buildroot/%_datadir/%theme_fullname

mkdir -p %buildroot/etc/alternatives/packages.d/
cat > %buildroot/etc/alternatives/packages.d/%theme_fullname << __EOF__
%_datadir/lxde %_datadir/%theme_fullname 10
__EOF__

%post
AUTOSTART=/etc/xdg/lxsession/LXDE/autostart
TMPFILE=`mktemp -t lxde-settings.postinst.XXXXXX`
grep -v "@tray_eject_plus" "$AUTOSTART" > "$TMPFILE"
echo "@tray_eject_plus" >> "$TMPFILE"
cat "$TMPFILE" > "$AUTOSTART"
rm -f "$TMPFILE"
DESKDIR="/usr/share/applications/"
for dfile in uxterm xterm xkill
do
    if [ -f "$DESKDIR"/"$dfile".desktop ]
    then
	echo "Hidden=true" >> "$DESKDIR"/"$dfile".desktop
    else
	echo "Warning: $DESKDIR/$dfile.desktop not exist"
    fi
done

%postun
AUTOSTART=/etc/xdg/lxsession/LXDE/autostart
TMPFILE=`mktemp -t lxde-settings.postinst.XXXXXX`
grep -v "@tray_eject_plus" "$AUTOSTART" > "$TMPFILE"
cat "$TMPFILE" > "$AUTOSTART"
DESKDIR="/usr/share/applications/"
for dfile in uxterm xterm xkill
do
    if [ -f "$DESKDIR"/"$dfile".desktop ]
    then
	grep -v "Hidden=true" "$DESKDIR"/"$dfile".desktop > "$TMPFILE"
	cat "$TMPFILE" > "$DESKDIR"/"$dfile".desktop
    fi
done
rm -f "$TMPFILE"

%files 
%config /etc/alternatives/packages.d/%theme_fullname
%_datadir/%theme_fullname

%changelog
* Fri Jan 14 2011 Radik Usupov <radik@altlinux.org> 0.3-alt0.M51.4
- Build from branch 5.1

* Fri Jan 14 2011 Radik Usupov <radik@altlinux.org> 0.3-alt4
- Changes font requires

* Wed Jan 12 2011 Radik Usupov <radik@altlinux.org> 0.3-alt3
- Added requires
- Change fonts
- Change lxpanel default config
- Change summary

* Sat Nov 20 2010 Radik Usupov <radik@altlinux.org> 0.3-alt2
- Add libfm.conf
- Change packager

* Thu Nov 18 2010 Radik Usupov <radik@altlinux.org> 0.3-alt1
- Added new theme cursors and icons

* Mon Nov 15 2010 Radik Usupov <radik@altlinux.org> 0.2-alt2
- Adding tray_eject_plus to autostart (thanks snejok@)
- Hide from menus: uxterm xterm xkill: unneeded in LXDE Remix (thanks snejok@)

* Mon Nov 08 2010 Radik Usupov <radik@altlinux.org> 0.2-alt1
- Fix icon theme
- Added cursor theme in .config

* Mon Sep 27 2010 Radik Usupov <radik@altlinux.org> 0.1-alt1.2
- added termit and pcmanfm in panel

* Fri Sep 17 2010 Radik Usupov <radik@altlinux.org> 0.1-alt1.1
- sakura -> termit
- package is now noarch
- summary changed

* Thu Jun 10 2010 Radik Usupov <radik@altlinux.org> 0.1-alt1
- Initial build to ALTLinux
